Beefy Boxes and Bandwidth Generously Provided by pair Networks
go ahead... be a heretic
 
PerlMonks  

Re: XML::Simple -> XMLin() requires either XML::SAX or XML::Parser

by tptass (Sexton)
on Aug 07, 2008 at 23:11 UTC ( #703018=note: print w/replies, xml ) Need Help??


in reply to XML::Simple -> XMLin() requires either XML::SAX or XML::Parser

I reinstalled Expat (again), perl-XML-Parser, perl-HTML-Parser, perl-Parse-Yapp... and it WORKED!

After some thinking and reading the comments everyone has posted, I realized after looking at my perl code again that I do not specify a Parser which means it will use the expat parser. So I reinstalled everything I could think of and one of them was corrupt, don't know exactly which one it was, but I'm guessing the perl-XML-Parser has a local library it installs besides the main expat library.

  • Comment on Re: XML::Simple -> XMLin() requires either XML::SAX or XML::Parser

Replies are listed 'Best First'.
Re^2: XML::Simple -> XMLin() requires either XML::SAX or XML::Parser
by Anonymous Monk on Mar 25, 2011 at 18:51 UTC
    just set LD_LIBRARY_PATH env variable to the path where libexpat is installed (/usr/local/lib) in your profile or bashrc, so that perl can find the library when needed.

Log In?
Username:
Password:

What's my password?
Create A New User
Domain Nodelet?
Node Status?
node history
Node Type: note [id://703018]
help
Chatterbox?
and the web crawler heard nothing...

How do I use this?Last hourOther CB clients
Other Users?
Others scrutinizing the Monastery: (4)
As of 2023-12-06 21:14 GMT
Sections?
Information?
Find Nodes?
Leftovers?
    Voting Booth?
    What's your preferred 'use VERSION' for new CPAN modules in 2023?











    Results (32 votes). Check out past polls.

    Notices?